CREATE TABLE msc_bm_allocation_rules (
    ALLOCATION_RULE_ID          NUMBER(18, 0),
    ALLOCATION_RULE_NAME        VARCHAR2(120)    NOT NULL,
    DESCRIPTION                 VARCHAR2(320),
    ALLOCATION_SPECIFICATION    NUMBER           NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    REFRESH_NUMBER              NUMBER(18, 0),
    ALLOCATION_RULE_ID          NUMBER(18, 0),
    ALLOCATION_RULE_NAME        VARCHAR2(120)    NOT NULL,
    DESCRIPTION                 VARCHAR2(320),
    ALLOCATION_SPECIFICATION    NUMBER           NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    REFRESH_NUMBER              NUMBER(18, 0),
    CONSTRAINT pk_msc_bm_allocation_rules PRIMARY KEY (ALLOCATION_RULE_ID, ALLOCATION_RULE_ID)
);
